Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(351)

Issue 2764633002: cc/paint: Remove cc::PaintSurface. (Closed)

Created:
9 months ago by Khushal
Modified:
8 months, 3 weeks ago
CC:
ajuma+watch-canvas_chromium.org, ajuma+watch_chromium.org, blink-reviews, blink-reviews-frames_chromium.org, blink-reviews-platform-graphics_chromium.org, Rik, cc-bugs_chromium.org, chfremer+watch_chromium.org, chromium-reviews, danakj+watch_chromium.org, darin-cc_chromium.org, dshwang, drott+blinkwatch_chromium.org, krit, emircan+watch+mediarecorder_chromium.org, emircan+watch+capturefromdom_chromium.org, feature-media-reviews_chromium.org, fmalita+watch_chromium.org, jam, jbroman, Justin Novosad, kinuko+watch, mcasas+mediarecorder_chromium.org, mcasas+capturefromelement_chromium.org, mlamouri+watch-content_chromium.org, pdr+graphicswatchlist_chromium.org, piman+watch_chromium.org, posciak+watch_chromium.org, rwlbuis, Stephen Chennney
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

cc/paint: Remove cc::PaintSurface. The callers can now create a bitmap to wrap a SkiaPaintCanvas for raster. TBR=bauerb@chromium.org,dalecurtis@chromium.org BUG=703320 CQ_INCLUDE_TRYBOTS=master.tryserver.blink:linux_trusty_blink_rel;master.tryserver.chromium.linux:linux_layout_tests_slimming_paint_v2 Review-Url: https://codereview.chromium.org/2764633002 Cr-Commit-Position: refs/heads/master@{#459894} Committed: https://chromium.googlesource.com/chromium/src/+/82843780df15988017b386494f1e76c333410b1d Review-Url: https://codereview.chromium.org/2764633002 Cr-Commit-Position: refs/heads/master@{#460468} Committed: https://chromium.googlesource.com/chromium/src/+/60900cbcf95fb50ed89330e5d26d5f37f9b845ef

Patch Set 1 #

Patch Set 2 : .. #

Patch Set 3 : .. #

Patch Set 4 : .. #

Patch Set 5 : tests #

Patch Set 6 : rebase #

Patch Set 7 : cc tests #

Patch Set 8 : compiles #

Patch Set 9 : zeroed factory #

Patch Set 10 : .. #

Patch Set 11 : .. #

Patch Set 12 : .. #

Patch Set 13 : more stuff #

Total comments: 4

Patch Set 14 : rebase #

Patch Set 15 : .. #

Patch Set 16 : test #

Patch Set 17 : rebase #

Patch Set 18 : bitmap fix #

Patch Set 19 : rebase #

Patch Set 20 : fix for relanding #

Total comments: 1
Unified diffs Side-by-side diffs Delta from patch set Stats (+72 lines, -173 lines) Patch
M cc/paint/BUILD.gn View 1 chunk +0 lines, -2 lines 0 comments Download
M cc/paint/display_item_list_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 2 chunks +1 line, -1 line 0 comments Download
D cc/paint/paint_surface.h View 1 2 3 4 5 1 chunk +0 lines, -58 lines 0 comments Download
D cc/paint/paint_surface.cc View 1 chunk +0 lines, -14 lines 0 comments Download
M cc/trees/layer_tree_host_pixeltest_masks.cc View 1 2 3 4 5 6 1 chunk +0 lines, -1 line 0 comments Download
M chrome/browser/ui/webui/app_launcher_login_handler.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 1 chunk +1 line, -0 lines 0 comments Download
M content/renderer/image_capture/image_capture_frame_grabber.cc View 2 chunks +1 line, -1 line 0 comments Download
M content/renderer/media/webmediaplayer_ms_compositor.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 1 chunk +1 line, -1 line 0 comments Download
M content/renderer/media/webrtc/webrtc_video_capturer_adapter.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +1 line, -1 line 0 comments Download
M content/renderer/media_capture_from_element/html_video_element_capturer_source.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 3 chunks +7 lines, -2 lines 0 comments Download
M content/renderer/media_capture_from_element/html_video_element_capturer_source.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 4 chunks +25 lines, -35 lines 0 comments Download
M content/renderer/media_recorder/video_track_recorder.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 3 chunks +9 lines, -8 lines 1 comment Download
M media/renderers/skcanvas_video_renderer_unittest.cc View 1 2 3 4 5 6 7 2 chunks +2 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/core/frame/LocalFrame.cpp View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 2 chunks +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/core/offscreencanvas/OffscreenCanvas.cpp View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/Source/modules/canvas2d/CanvasRenderingContext2DUsageTrackingTest.cpp View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/Source/platform/BUILD.gn View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 1 chunk +0 lines, -1 line 0 comments Download
M third_party/WebKit/Source/platform/graphics/Canvas2DLayerBridge.h View 1 chunk +0 lines, -1 line 0 comments Download
M third_party/WebKit/Source/platform/graphics/Canvas2DLayerBridge.cpp View 2 chunks +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/platform/graphics/Canvas2DLayerBridgeTest.cpp View 1 2 3 4 2 chunks +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/platform/graphics/DeferredImageDecoderTest.cpp View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 8 chunks +16 lines, -25 lines 0 comments Download
M third_party/WebKit/Source/platform/graphics/gpu/AcceleratedImageBufferSurface.h View 1 chunk +0 lines, -1 line 0 comments Download
M third_party/WebKit/Source/platform/graphics/gpu/DrawingBuffer.cpp View 2 chunks +3 lines, -2 lines 0 comments Download
D third_party/WebKit/Source/platform/graphics/paint/PaintSurface.h View 1 chunk +0 lines, -14 lines 0 comments Download

Messages

Total messages: 98 (79 generated)
Khushal
+enne overall. +danakj ui/. +espreshn for everything else.
8 months, 4 weeks ago (2017-03-21 23:54:39 UTC) #48
Khushal
TBRing for chrome/ and media/ missing includes.
8 months, 4 weeks ago (2017-03-21 23:59:42 UTC) #53
esprehn
lgtm
8 months, 4 weeks ago (2017-03-22 00:07:57 UTC) #54
enne (OOO)
danakj and vmpstr can weight in here and disagree if they'd like, but I was ...
8 months, 4 weeks ago (2017-03-22 00:41:01 UTC) #58
Khushal
https://codereview.chromium.org/2764633002/diff/240001/cc/paint/skia_paint_canvas.cc File cc/paint/skia_paint_canvas.cc (right): https://codereview.chromium.org/2764633002/diff/240001/cc/paint/skia_paint_canvas.cc#newcode19 cc/paint/skia_paint_canvas.cc:19: std::unique_ptr<SkiaPaintCanvas> SkiaPaintCanvas::CreateRasterZeroed( On 2017/03/22 00:41:01, enne wrote: > I'm ...
8 months, 4 weeks ago (2017-03-22 00:45:51 UTC) #59
danakj
On 2017/03/22 00:41:01, enne wrote: > danakj and vmpstr can weight in here and disagree ...
8 months, 4 weeks ago (2017-03-22 15:06:51 UTC) #60
Khushal
vmpstr's patch looks like it is making very similar changes to the code. :l I'll ...
8 months, 4 weeks ago (2017-03-22 17:19:40 UTC) #61
Khushal
I moved all the bitmap stuff to the callers. PTAL.
8 months, 3 weeks ago (2017-03-24 21:07:17 UTC) #68
enne (OOO)
lgtm
8 months, 3 weeks ago (2017-03-24 21:10:13 UTC) #69
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2764633002/300001
8 months, 3 weeks ago (2017-03-27 17:00:27 UTC) #74
commit-bot: I haz the power
Failed to apply patch for third_party/WebKit/Source/core/offscreencanvas/OffscreenCanvas.cpp: While running git apply --index -3 -p1; error: patch ...
8 months, 3 weeks ago (2017-03-27 19:11:41 UTC) #76
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2764633002/320001
8 months, 3 weeks ago (2017-03-27 19:21:53 UTC) #79
commit-bot: I haz the power
Committed patchset #17 (id:320001) as https://chromium.googlesource.com/chromium/src/+/82843780df15988017b386494f1e76c333410b1d
8 months, 3 weeks ago (2017-03-27 21:57:01 UTC) #82
hbos_chromium
A revert of this CL (patchset #17 id:320001) has been created in https://codereview.chromium.org/2781823002/ by hbos@chromium.org. ...
8 months, 3 weeks ago (2017-03-28 08:29:48 UTC) #83
Khushal
enne@, do you mind taking another look? #19 is just the rebase, #20 is the ...
8 months, 3 weeks ago (2017-03-28 20:57:42 UTC) #87
enne (OOO)
lgtm, thanks! I think the description of this patch is also out of date.
8 months, 3 weeks ago (2017-03-29 12:36:58 UTC) #90
Khushal
On 2017/03/29 12:36:58, enne wrote: > lgtm, thanks! > > I think the description of ...
8 months, 3 weeks ago (2017-03-29 18:27:12 UTC) #92
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2764633002/380001
8 months, 3 weeks ago (2017-03-29 18:28:16 UTC) #95
commit-bot: I haz the power
8 months, 3 weeks ago (2017-03-29 18:40:40 UTC) #98
Message was sent while issue was closed.
Committed patchset #20 (id:380001) as
https://chromium.googlesource.com/chromium/src/+/60900cbcf95fb50ed89330e5d26d...

Powered by Google App Engine
This is Rietveld 0eb02b776